Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.protocols.email.beans
Class EmailUserProfileCollectionResolver

    java.lang.Object
      oracle.ifs.protocols.email.beans.EmailUserProfileCollectionResolver

All Implemented Interfaces:
  CollectionResolver

    public class EmailUserProfileCollectionResolver

extends java.lang.Object
implements CollectionResolver

An EmailUserProfileCollectionResolver creates and manages a Collection used to lookup EMAILUSERPROFILE objects by EmailAddress.

(Unpublished)

Field Summary
`protected CachedResolverCollection` | `m_EmailUserProfileCollection` EmailUserProfile Collection, keyed by EmailAddress.
`protected LibrarySession` | `m_Session` the Session that will be used to rsolve the Collection.

Constructor Summary
`EmailUserProfileCollectionResolver(LibrarySession sess)` Construct a EmailUserProfileCollectionResolver object.

Method Summary
`Collection` | `getEmailUserProfileCollection()` Gets a reference to the EmailUserProfile collection.
`void` | `resolveCollection(CachedResolverCollection collection)` resolve Collection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_EmailUserProfileCollection

    protected CachedResolverCollection m_EmailUserProfileCollection

  Description copied from class: `EmailUserProfileCollectionResolver`
  EmailUserProfile Collection, keyed by EmailAddress.

  (Unpublished)

### m_Session

    protected LibrarySession m_Session

  Description copied from class: `EmailUserProfileCollectionResolver`
  the Session that will be used to rsolve the Collection.

  (Unpublished)

Constructor Detail

### EmailUserProfileCollectionResolver

    public EmailUserProfileCollectionResolver(LibrarySession sess)
                                       throws IfsException

  Construct a EmailUserProfileCollectionResolver object. This will create and register the EmailUserProfileCollection with the specified session.

  Parameters:
    `sess` - the LibrarySession
  Throws:
    `IfsException` - if operation fails.
  (Published)

Method Detail

### getEmailUserProfileCollection

    public final Collection getEmailUserProfileCollection()
                                                   throws IfsException

  Description copied from class: `EmailUserProfileCollectionResolver`
  Gets a reference to the EmailUserProfile collection.

  Unlike most collections, this collection is organizaed by EmailAddress, not Name.

  Returns:
    the collection
  Throws:
    `IfsException` - if the operation fails
  (Published)

### resolveCollection

    public void resolveCollection(CachedResolverCollection collection)
                           throws IfsException

  Description copied from class: `EmailUserProfileCollectionResolver`
  resolve Collection. This is called automatically from the Collection.

  Specified by:
    `resolveCollection` in interface `CollectionResolver`
  Parameters:
    `collection` - Collection to resolve.
  Throws:
    `IfsException` - if operation fails.
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD